/*! \file -*-C++-*-
 * X-Forge Core <br>
 * Copyright 2000-2003 Fathammer Ltd
 *
 * \brief Host name base
 *
 * $Id: XFcName.h,v 1.5 2003/03/03 15:34:13 jetro Exp $
 * $Date: 2003/03/03 15:34:13 $
 * $Revision: 1.5 $
 */

#ifndef XFCNAME_H_INCLUDED
#define XFCNAME_H_INCLUDED


//! Holds bluetooth device or inet name.
class XFCDLLEXPORT XFcName
{
public:

    //! Constructor.
    XFCIMPORT XFcName();

    //! Destructor.

    XFCIMPORT ~XFcName();

    //! Name of device.
    XFCIMPORT CHAR8 mName[0x40];

    //! Length of the name.
    XFCIMPORT INT mLen;

};


#endif // !XFCNAME_H_INCLUDED
