/*! \file 
 * X-Forge Util <br>
 * Copyright 2000-2003 Fathammer Ltd
 * 
 * \brief Priority linked list help
 * 
 * $Id: XFuPriorityHelp.h,v 1.4 2003/03/20 13:19:59 jetro Exp $
 * $Date: 2003/03/20 13:19:59 $
 * $Revision: 1.4 $
 */

#ifndef XFUPRIORITYHELP_H_INCLUDED
#define XFUPRIORITYHELP_H_INCLUDED


class XFuPriorityHelp
{
public:
    XFuPriorityHelp();
    virtual ~XFuPriorityHelp();

    virtual void increase(void *aData) = 0;
    virtual void decrease(void *aData) = 0;
    virtual INT32 priorityCheck(const void *aCompare1,
                                const void *aCompare2) const = 0;
};


#endif // !XFUPRIORITYHELP_H_INCLUDED
